scala.tools.ant.sabbus

# Settings

#### class Settings extends AnyRef

Source
  Settings.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Settings
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Settings()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Settings to any2stringadd[Settings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Settings, B)

   Implicit information
     This member is added by an implicit conversion from Settings to ArrowAssoc[Settings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bootclasspath: Path

8. #### def bootclasspath_=(p: Path): Settings.this.type

9. #### def classpath: Path

10. #### def classpath_=(p: Path): Settings.this.type

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def d: File

13. #### def d_=(f: File): Settings.this.type

14. #### def encoding: String

15. #### def encoding_=(s: String): Settings.this.type

16. #### def ensuring(cond: (Settings) ⇒ Boolean, msg: ⇒ Any): Settings

    Implicit information
      This member is added by an implicit conversion from Settings to Ensuring[Settings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (Settings) ⇒ Boolean): Settings

    Implicit information
      This member is added by an implicit conversion from Settings to Ensuring[Settings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): Settings

    Implicit information
      This member is added by an implicit conversion from Settings to Ensuring[Settings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): Settings

    Implicit information
      This member is added by an implicit conversion from Settings to Ensuring[Settings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(that: Any): Boolean

    Definition Classes
      Settings → AnyRef → Any

22. #### def extdirs: Path

23. #### def extdirs_=(p: Path): Settings.this.type

24. #### def extraParams: Seq[String]

25. #### def extraParams_=(s: Seq[String]): Settings.this.type

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Settings to StringFormat[Settings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### def g: String

29. #### def g_=(s: String): Settings.this.type

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### lazy val hashCode: Int

    Definition Classes
      Settings → AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def optimise: Boolean

37. #### def optimise_=(b: Boolean): Unit

38. #### def sourcedir: File

39. #### def sourcedir_=(p: File): Settings.this.type

40. #### def sourcepath: Path

41. #### def sourcepath_=(p: Path): Settings.this.type

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def target: String

44. #### def target_=(s: String): Settings.this.type

45. #### def toArgs: List[String]

46. #### def toString(): String

    Definition Classes
      AnyRef → Any

47. #### def unchecked: Boolean

48. #### def unchecked_=(b: Boolean): Settings.this.type

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def →[B](y: B): (Settings, B)

    Implicit information
      This member is added by an implicit conversion from Settings to ArrowAssoc[Settings] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Settings to any2stringadd[Settings]

### Inherited by implicit conversion StringFormat from Settings to StringFormat[Settings]

### Inherited by implicit conversion Ensuring from Settings to Ensuring[Settings]

### Inherited by implicit conversion ArrowAssoc from Settings to ArrowAssoc[Settings]

### Ungrouped